apt: debSrcRecordParser Class Reference

apt 2.3.15 commandline package manager

Public Member Functions | Protected Attributes | List of all members
debSrcRecordParser Class Reference
Inheritance diagram for debSrcRecordParser:

## Public Member Functions
virtual bool | Restart () APT_OVERRIDE
virtual bool | Step () APT_OVERRIDE
virtual bool | Jump (unsigned long const &Off) APT_OVERRIDE
virtual std::string | Package () const APT_OVERRIDE
virtual std::string | Version () const APT_OVERRIDE
virtual std::string | Maintainer () const APT_OVERRIDE
virtual std::string | Section () const APT_OVERRIDE
virtual const char ** | Binaries () APT_OVERRIDE
virtual bool | BuildDepends (std::vector< BuildDepRec > &BuildDeps, bool const &ArchOnly, bool const &StripMultiArch=true) APT_OVERRIDE
virtual unsigned long | Offset () APT_OVERRIDE
virtual std::string | AsStr () APT_OVERRIDE
virtual bool | Files (std::vector< pkgSrcRecords::File > &F) APT_OVERRIDE
| debSrcRecordParser (std::string const &File, pkgIndexFile const *Index)
Public Member Functions inherited from pkgSrcRecords::Parser
const pkgIndexFile & | Index () const
virtual bool | Restart ()=0
virtual bool | Step ()=0
virtual bool | Jump (unsigned long const &Off)=0
virtual unsigned long | Offset ()=0
virtual std::string | AsStr ()=0
virtual std::string | Package () const =0
virtual std::string | Version () const =0
virtual std::string | Maintainer () const =0
virtual std::string | Section () const =0
virtual const char ** | Binaries ()=0
virtual bool | BuildDepends (std::vector< BuildDepRec > &BuildDeps, bool const &ArchOnly, bool const &StripMultiArch=true)=0
virtual bool | Files (std::vector< pkgSrcRecords::File > &F)=0
| Parser (const pkgIndexFile *Index)

## Protected Attributes
FileFd | Fd
pkgTagFile | Tags
pkgTagSection | Sect
std::vector< const char * > | StaticBinList
unsigned long | iOffset
char * | Buffer
Protected Attributes inherited from pkgSrcRecords::Parser
const pkgIndexFile * | iIndex

## Additional Inherited Members
Public Types inherited from pkgSrcRecords::Parser
enum | BuildDep { BuildDepend =0x0 , BuildDependIndep =0x1 , BuildConflict =0x2 , BuildConflictIndep =0x3 , BuildDependArch =0x4 , BuildConflictArch =0x5 }
Static Public Member Functions inherited from pkgSrcRecords::Parser
static const char * | BuildDepType (unsigned char const &Type) APT_PURE

## Member Function Documentation

## ◆ AsStr()

virtual std::string AsStr | ( |  | ) |
| inlinevirtual

Implements pkgSrcRecords::Parser.

## ◆ Binaries()

const char ** Binaries | ( |  | ) |
| virtual

Implements pkgSrcRecords::Parser.

## ◆ BuildDepends()

bool BuildDepends | ( | std::vector< BuildDepRec > & | BuildDeps,
|  | bool const & | ArchOnly,
|  | bool const & | StripMultiArch = `true`
| ) |  |
| virtual

Todo:
  Add a parameter to specify which architecture to use for [wildcard] matching

Implements pkgSrcRecords::Parser.

References pkgCache< Str, Itr >::Dep::Or.

## ◆ Files()

bool Files | ( | std::vector< pkgSrcRecords::File > & | F | ) |
| virtual

Implements pkgSrcRecords::Parser.

## ◆ Jump()

virtual bool Jump | ( | unsigned long const & | Off | ) |
| inlinevirtual

Implements pkgSrcRecords::Parser.

## ◆ Maintainer()

virtual std::string Maintainer | ( |  | ) | const
| inlinevirtual

Implements pkgSrcRecords::Parser.

## ◆ Offset()

virtual unsigned long Offset | ( |  | ) |
| inlinevirtual

Implements pkgSrcRecords::Parser.

## ◆ Package()

std::string Package | ( |  | ) | const
| virtual

Implements pkgSrcRecords::Parser.

## ◆ Restart()

virtual bool Restart | ( |  | ) |
| inlinevirtual

Implements pkgSrcRecords::Parser.

## ◆ Section()

virtual std::string Section | ( |  | ) | const
| inlinevirtual

Implements pkgSrcRecords::Parser.

## ◆ Step()

virtual bool Step | ( |  | ) |
| inlinevirtual

Implements pkgSrcRecords::Parser.

## ◆ Version()

virtual std::string Version | ( |  | ) | const
| inlinevirtual

Implements pkgSrcRecords::Parser.

The documentation for this class was generated from the following files:

- apt-pkg/deb/debsrcrecords.h
- apt-pkg/deb/debsrcrecords.cc